Morpho - Bug #281

connection and other errors on Solaris
09/17/2001 01:41 PM - don sutton
Description

| get the following error when running the website 1.0.0beta1 version of Morpho
on a SunOS 5.5.1. The error occurs when | hit the connect button:

Exception occurred during event dispatching:

java.lang.NullPointerException

at javax.swing.JComponent.paint(Compiled Code)

at
edu.ucsb.nceas.morpho.framework.ConnectionFrame.connectButton_actionPerformed(Compiled
Code)

at
edu.ucsb.nceas.morpho.framework.ConnectionFrame$SymAction.actionPerformed(Compiled
Code)

at javax.swing.AbstractButton.fireActionPerformed(Compiled Code)

at

javax.swing.AbstractButton$ForwardActionEvents.actionPerformed(Compiled Code)
at javax.swing.DefaultButtonModel.fireActionPerformed(Compiled Code)

at javax.swing.DefaultButtonModel.setPressed(Compiled Code)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Compiled

Code)

at java.awt.Component.processMouseEvent(Compiled Code)

at java.awt.Component.processEvent(Compiled Code)

at java.awt.Container.processEvent(Compiled Code)

at java.awt.Component.dispatchEventimpl(Compiled Code)

at java.awt.Container.dispatchEventimpl(Compiled Code)

at java.awt.Component.dispatchEvent(Compiled Code)

at java.awt.LightweightDispatcher.retargetMouseEvent(Compiled Code)

at java.awt.LightweightDispatcher.processMouseEvent(Compiled Code)

at java.awt.LightweightDispatcher.dispatchEvent(Compiled Code)

at java.awt.Container.dispatchEventimpl(Compiled Code)

at java.awt.Window.dispatchEventimpl(Compiled Code)

at java.awt.Component.dispatchEvent(Compiled Code)

at java.awt.EventQueue.dispatchEvent(Compiled Code)

at java.awt.EventDispatchThread.run(Compiled Code)

History

#1 - 11/30/2001 04:24 PM - Matt Jones

Chris will test this on lifescie and try to reproduce it.

#2 - 12/02/2001 06:42 PM - Chris Jones

| tried reproducing this bug on another Solaris box, but didn't have Solaris
2.5.1, rather Solaris 2.7 (SunOS 5.7). | downloaded the 1.0beta1.3 version of
morpho, and chose the Linux/Unix tar/gz format. Using tar on Solaris, | got
checksum errors (of course, after gunzippping the archive) while untarring. |
tried the untar on Linux (using tar -zxvf), and it worked fine.

My second attempt was to download the Windows .zip version. On Solaris, | used
jar to unzip the archive. The archive unzipped just fine.

Two slight problems arose on execution:
1) Control-M's (Windows line-ending) in the 'morpho’ shell script caused errors,
so | removed them in vi.

2) The JVM on solaris doesn't recognize the '-cp’ option to the ‘java’ command,
rather '-classpath'. '-classpath’ works on both linux and Solaris.

Once running, | had no problem connecting to the metacat server. However, other
problems arose:

The main windows worked fine. When initiating a search, the search Window first
comes up as an extremely small window (10x10 pixels or so) in the upper left
corner of the monitor display. | pulled this window open, and from that point

on, it continued to open as an appropriate size.

When trying to 'open’ a dataPackage, the outline of the 'Basic Package
Information window would show (with nothing in but white, no window frame,
nothing), and then would disappear, as if it was never opened. | was
unsuccessful in actually viewing a dataPackage. The last error in the command
window was:

Name: gformat => xml

Parsing error: ./profiles/test/data/test/1.1

org.xml.sax.SAXParseException: The markup in the document preceding the root
element must be well-formed.

Loading saved queries...

Finished loading saved queries.

Here's the environment:

$ uname -a
SunOS lifesci 5.7 Generic_106541-09 sun4u sparc SUNW,Ultra-4

$ java -version

java version "1.3.1_01"

Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1_01)
Java HotSpot(TM) Client VM (build 1.3.1_01, mixed mode)

#3 - 12/08/2001 01:26 AM - Matt Jones

Delay until next release because it is not high-priority to support unix
variants. It works on linux. We're running out of time. Changed target
milestone to 1.1betal.

#4 - 02/21/2003 10:36 AM - Chris Jones

As of the 1.2 and 1.3 versions of Morpho, | found no rendering problems on
Solaris when | downloaded and ran the .zip distribution. The Install Anywhere
installer doesn't work, but of course it's targeted for Linux.

#5 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 281
